Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::POA::ServantAlreadyActive Exception Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA::ServantAlreadyActive:

[legend]
Collaboration diagram for PortableServer::POA::ServantAlreadyActive:

[legend]
List of all members.

## Public Member Functions
| ServantAlreadyActive (void)
| ServantAlreadyActive (const ServantAlreadyActive &)
| ~ServantAlreadyActive (void)
ServantAlreadyActive & | operator= (const ServantAlreadyActive &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &) const
virtual void | _tao_decode (TAO_InputCDR &)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
## Static Public Member Functions
void | _tao_any_destructor (void *)
ServantAlreadyActive * | _downcast (CORBA::Exception *)
const ServantAlreadyActive * | _downcast (CORBA::Exception const *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::POA::ServantAlreadyActive::ServantAlreadyActive | ( | void |  | ) |

PortableServer::POA::ServantAlreadyActive::ServantAlreadyActive | ( | const ServantAlreadyActive & |  | ) |

PortableServer::POA::ServantAlreadyActive::~ServantAlreadyActive | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::POA::ServantAlreadyActive::_alloc | ( | void |  | ) | `[static]`

const PortableServer::POA::ServantAlreadyActive * PortableServer::POA::ServantAlreadyActive::_downcast | ( | CORBA::Exception const * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

PortableServer::POA::ServantAlreadyActive * PortableServer::POA::ServantAlreadyActive::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::POA::ServantAlreadyActive::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::POA::ServantAlreadyActive::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::POA::ServantAlreadyActive::_tao_decode | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * PortableServer::POA::ServantAlreadyActive::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::POA::ServantAlreadyActive::_tao_encode | ( | TAO_OutputCDR & |  | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr PortableServer::POA::ServantAlreadyActive::_tao_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::UserException.

ServantAlreadyActive& PortableServer::POA::ServantAlreadyActive::operator= | ( | const ServantAlreadyActive & |  | ) |

The documentation for this exception was generated from the following files:

- PortableServer.pidl
- PortableServerC.h
- PortableServerC.cpp